#!/bin/sh

# Target user: NWS/NCEP Center running N-AWIPS/GEMPAK
# Usage: Decodes Convective Development Nearcasting Model GRIB2 output delivered via LDM
# and prepare derived fields. Requires two arguments and reads from standard input.
# Developer: Jordan Gerth (CIMSS/SSEC) July 8, 2010; Updated December 20, 2010
# Modified for AWC paths and executables by Jason Levit (AWC) December 20th, 2010
# Modified for using NAGRIB2 to decode by Jason Levit (AWC) January 13th, 2010

PID=$$

mkdir /tmp/$PID
cd /tmp/$PID

nagrib2 << EOF
GBFILE  = /data/model/grib2/nrcast/SSEC_AWIPS_NRCAST_10KM_ECON_$1_F$2_0$3.GRIB2
GDOUTF  = /data/model/gempak/nrcast/nrc_$1F$2$3.gem
PROJ    =
GRDAREA =
KXKY    =
MAXGRD  = 400
CPYFIL  = $LOCAL_DIR/decoders/nrc_cpyfil.gem
GAREA   = dset
OUTPUT  = T
G2TBLS  = g2varswmo2.tbl;g2vcrdwmo2.tbl
G2DIAG  =
OVERWR  = NO
PDSEXT  = NO
r

EOF

gpend

gddiag << EOF
GDFILE  = /data/model/gempak/nrcast/nrc_$1F$2$3.gem
GDOUTF  = /data/model/gempak/nrcast/nrc_$1F$2$3.gem
GDATTIM = F$2$3
GLEVEL  = 9000:7000
GVCORD  = SGMA
GFUNC   = sub(PWTR,PWTR@7000:3000)
GRDNAM  = PWTRDF
GRDTYP  = S
GPACK   =
PROJ    =
GRDAREA =
KXKY    =
MAXGRD  = 400
CPYFIL  = $LOCAL_DIR/decoders/nrc_cpyfil.gem
ANLYSS  =
r

GFUNC  = mag(grad(PWTRDF))
GRDNAM = MGPWDF
r

GFUNC  = and(gt(sm5s(PWTR),2),gt(sm5s(PWTR@7000:3000),0),gt(sm5s(PWTRDF),4))
GRDNAM = PWMASK
r

GFUNC  = mag(grad(PWTR))
GRDNAM = MGPW
r

GLEVEL = 7000:3000
r

GLEVEL = 780
GVCORD = PRES
GFUNC  = sub(THTE@500,THTE)
GRDNAM = THTEDF
r

EOF

rm -rf /tmp/$PID

exit 0 
